{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
{% endblock extra_head %}

{% block content %}
<div class="panel panel-inverse miselector" data-sortable-id="table-basic-4" >
  <!-- begin panel-heading -->

  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>  
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>      
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de Operadores.</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body miselector">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear Operador</a></div>

    <div class="table-responsive">
      <table class="table" id="table_operator">
        <thead>
          <tr>
            <th nowrap="">Nombre</th>
            <th nowrap="">Codigo</th>
            <th nowrap="">VLAN primaria</th>
            <th nowrap="">VLAN secundaria</th>
            <th nowrap="">VLAN terciaria</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>


<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Operador</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
        <div id="loader_modal"></div>   
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="code">Codigo operador</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" maxlength="3" type="text" id="code" placeholder="Codigo" data-parsley-required="true" />
            <small class="text-danger">
              El codigo debe ser de 3 caracteres, entre números y letras.
            </small> 
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="name">Nombre operador</label>
          <div class="col-md-8 col-sm-8">
            <input class="form-control" maxlength="100" type="text" id="name" placeholder="Nombre" data-parsley-required="true" />
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <a href="javascript:;" class="btn btn-white" data-dismiss="modal">Close</a>
        <button type="button" class="btn btn-primary" onclick="newOperator()">Crear operador</button>
      </div>
      </form>
    </div>
  </div>
</div>
{% endblock content %}    

{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script type="text/javascript" id="insert_script_here">
  var no_cache_random =  Math.random().toString(36).substr(2, 5);
  appendScript("{% static 'scripts/operator_list.js' %}?no_cache=" + no_cache_random);
</script>
{% endblock extra_js %}